Package twisted :: Package scripts :: Module manhole |
[show private | hide private]
[frames | no frames]

## Module twisted.scripts.manhole

Start a `twisted.manhole` client.

Exceptions
`NoToolkitError` |

Function Summary
string | ``bestToolkit`()` The most-preferred available toolkit.
list of strings | ``getAvailableToolkits`()` Autodetect available toolkits.
| `run()`
| `run_gtk1(config)`
| `run_gtk2(config)`

Variable Summary
`int` | `pbportno`
list of strings | `toolkitPreference` - A list of all toolkits we have front-ends for, with the ones we most prefer to use listed first.
`NoneType` | `_availableToolkits`

Function Details

### bestToolkit() The most-preferred available toolkit. Returns: string

### getAvailableToolkits() Autodetect available toolkits. Returns: A list of usable toolkits. (type=list of strings)

Variable Details

    ### pbportno Type: `int` Value:
        8787

    ### toolkitPreference A list of all toolkits we have front-ends for, with the ones we most prefer to use listed first. Type: list of strings Value:
        ('gtk2', 'gtk1')

    ### _availableToolkits Type: `NoneType` Value:
        None

Generated by Epydoc 1.1 on Thu May 8 13:18:59 2003 | http://epydoc.sf.net